org.apache.ignite.internal.processors.platform.cache.query

## Interface PlatformContinuousQuery

All Superinterfaces:
  javax.cache.event.CacheEntryEventFilter, CacheEntryEventSerializableFilter, javax.cache.event.CacheEntryListener, javax.cache.event.CacheEntryUpdatedListener, EventListener, PlatformContinuousQueryFilter, Serializable

All Known Implementing Classes:
  PlatformContinuousQueryImpl

    public interface PlatformContinuousQuery
    extends javax.cache.event.CacheEntryUpdatedListener, PlatformContinuousQueryFilter

Platform continuous query.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Close continuous query.
`PlatformTarget` `getInitialQueryCursor()` Gets initial query cursor (if any).
`void` `start(IgniteCacheProxy cache, boolean loc, int bufSize, long timeInterval, boolean autoUnsubscribe, Query initialQry)` Start continuous query execution.

### Methods inherited from interface javax.cache.event.CacheEntryUpdatedListener

`onUpdated`

### Methods inherited from interface org.apache.ignite.internal.processors.platform.cache.query.PlatformContinuousQueryFilter

`onQueryUnregister`

### Methods inherited from interface javax.cache.event.CacheEntryEventFilter

`evaluate`

### Method Detail

#### start

    void start(IgniteCacheProxy cache,
               boolean loc,
               int bufSize,
               long timeInterval,
               boolean autoUnsubscribe,
               Query initialQry)
        throws IgniteCheckedException

Start continuous query execution.

Parameters:
  `cache` - Cache.
  `loc` - Local flag.
  `bufSize` - Buffer size.
  `timeInterval` - Time interval.
  `autoUnsubscribe` - Auto-unsubscribe flag.
  `initialQry` - Initial query.
Throws:
  `IgniteCheckedException` - If failed.

#### close

    void close()

Close continuous query.

#### getInitialQueryCursor

    PlatformTarget getInitialQueryCursor()

Gets initial query cursor (if any).

Returns:
  Initial query cursor.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018